<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PackageContent StructType
 * @subpackage Structs
 */
class PackageContent extends AbstractStructBase
{
    /**
     * The PackageContentRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageContentRQ
     */
    public $PackageContentRQ;
    /**
     * Constructor method for PackageContent
     * @uses PackageContent::setPackageContentRQ()
     * @param \StructType\JP_PackageContentRQ $packageContentRQ
     */
    public function __construct(\StructType\JP_PackageContentRQ $packageContentRQ = null)
    {
        $this
            ->setPackageContentRQ($packageContentRQ);
    }
    /**
     * Get PackageContentRQ value
     * @return \StructType\JP_PackageContentRQ|null
     */
    public function getPackageContentRQ()
    {
        return $this->PackageContentRQ;
    }
    /**
     * Set PackageContentRQ value
     * @param \StructType\JP_PackageContentRQ $packageContentRQ
     * @return \StructType\PackageContent
     */
    public function setPackageContentRQ(\StructType\JP_PackageContentRQ $packageContentRQ = null)
    {
        $this->PackageContentRQ = $packageContentRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PackageContent
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
